EDIT - task #4846

update the integration portals to use the zen_basetheme
04/29/2015 11:30 AM - Andreas Kohlbecker

Status: In Progress Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.45

Severity: major

Description

The following integration portals should use the zen_basetheme, since the test and production portals are also switched to the new
theme:

e http:/int.e-taxonomy.eu/dataportal/integration/flora-malesianaDONE but switched back

e http://int.e-taxonomy.eu/dataportal/integration/cyprus/DONE but switched back
o Problems in the following tests:
o eu.etaxonomy.dataportal.selenium.tests.cyprus.CyprusPolytomousKeyTest.key_to_Achillea
o eu.etaxonomy.dataportal.selenium.tests.cyprus.Cyprus_OriginalSourceTest.testPage

The dumps of the modified portals are to be stored in /var/lib/cdm/testdb/SNAPSHOT [DONE]
the selenium test only can work with one base theme which currently is Garland. So we have two options:
1. adapt the selenium test so that they can run on both themes, for which a ticket already exists: #4372
2. switch all integration portals to the zen_basetheme
3. make selenium tests independent from the themes. This would require that page elements like menu items etc can be idetified
by css selectors independently from the theme.

RISK:

Most portals are running with the zen_basetheme but the portals are not tested with this theme. It is generally not a big problem but
is a potential risk.

COST:

Any of the solutions will need about two days to be fully implemented.

Subtasks:
feature request # 4372: Selenium PortalPage class also suitable for zen-basetheme Closed

History

#1 - 04/29/2015 11:30 AM - Andreas Kohlbecker

- Subject changed from update the instegration portals to use the zen_basetheme to update the integration portals to use the zen_basetheme

#2 - 04/29/2015 03:34 PM - Andreas Kohlbecker

- Status changed from New to In Progress

- Keywords set to selenium, test,

the selenium test only can work with one base theme which currently is Garland.
So we have two options:

1. adapt the selenium test so that they can run on both themes, for which a ticket already exists: #4372

2. switch all integration portals to the zen_basetheme
http://int.e-taxonomy.eu/dataportal/integration/flora-malesiana
http://int.e-taxonomy.eu/dataportal/integration/cyprus/
https://dev.e-taxonomy.eu/redmine/issues/4372
https://dev.e-taxonomy.eu/redmine/issues/4372

#3 - 04/29/2015 04:19 PM - Andreas Kohlbecker

| switched the portals back to the Garland based themes and created dumps which can be found in /var/lib/cdm/testdb/SNAPSHOT

#4 - 04/30/2015 06:21 PM - Andreas Kohlbecker

- Severity changed from critical to major

#5 - 05/04/2015 05:10 PM - Andreas Miiller
- Target version deleted (cdm_dataportal RELEASE 3.5.1)

move open 3.5.1 tickets to next milestone after release

#6 - 06/04/2015 04:54 PM - Andreas Miiller

- Target version deleted ()

#7 - 06/08/2015 02:52 PM - Andreas Kohlbecker
- Target version deleted ()

- Priority changed from Highest to Priority13

#8 - 06/10/2015 03:32 PM - Andreas Miiller

- Target version set to DataPortal - Reviewed Next Major Release

#9 - 02/28/2019 11:34 AM - Andreas Kohlbecker
- Description updated

- Private changed from Yes to No

#10 - 02/21/2022 04:11 PM - Andreas Miiller
- Status changed from In Progress to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.45

Almost all portals should be implemented now. Palms are probably still missing - still Garland (but better leave it as legacy theme).

#11 - 02/21/2022 04:29 PM - Andreas Kohlbecker
- Description updated

- Status changed from Resolved to In Progress

cyprus can not be switched to it's new theme, the page element classes involved in theses two tests need to be adapted:

e cu.etaxonomy.dataportal.selenium.tests.cyprus.CyprusPolytomousKeyTest.key_to_Achillea
¢ eu.etaxonomy.dataportal.selenium.tests.cyprus.Cyprus_OriginalSourceTest.testPage
